View Issue Details

IDProjectCategoryView StatusLast Update
0004264SUMoBugpublic2018-10-21 22:48
ReporterGregorsky Assigned ToKyle_Katarn  
PrioritylowSeverityminorReproducibilityalways
Status feedbackResolutionopen 
PlatformWindowsOSWindowsOS Version7
Product Version5.1.3 
Target VersionShort term 
Summary0004264: Battle.net Launcher
DescriptionBattle.net program.

Wrong version is being displayed as version is being taken from the luncher.exe file instead of Battle.net.exe but they use advanced folder hierarchy and Battle.net.exe appears in many versions at a time doubled by following updates.
Steps To ReproduceScan for Battle.net.exe in the newest version to use. Could be verified by date/time.
TagsNo tags attached.

Activities

Kyle_Katarn

2017-03-11 12:04

administrator   ~0002546

Is it "luncher.exe" or "launcher.exe" ?
Are both exe in the same folder ?

Gregorsky

2017-03-11 12:49

reporter  

1.jpg (50,588 bytes)   
1.jpg (50,588 bytes)   

Gregorsky

2017-03-11 12:49

reporter   ~0002547

Just to put it clear, at the moment program checks version of the 'Battle.net Launcher.exe' which is wrong.

The file we after is 'Battle.net.exe', but the problem is that every time there is an update released the new folder with a copy of all files is created and 'Battle.net Launcher.exe' from the main just links to the latest 'Battle.net.exe' in correct folder.

I have attached few screenshots showing that in action. Also Battle.net screen with the latest version to understand the problem.
2.jpg (51,559 bytes)   
2.jpg (51,559 bytes)   
3.jpg (134,379 bytes)   
3.jpg (134,379 bytes)   
4.jpg (19,539 bytes)   
4.jpg (19,539 bytes)   

Kyle_Katarn

2018-10-19 23:05

administrator   ~0003078

How is latest SUMo behaving on this one ?

Gregorsky

2018-10-19 23:42

reporter   ~0003079

It's not being detected/listed at all. It's not on the ignore/skip list either.

Kyle_Katarn

2018-10-21 17:31

administrator   ~0003082

So, may I close this ticket or is a change still needed ?

Gregorsky

2018-10-21 21:12

reporter   ~0003083

Problem still exists. At the moment SUMo does not detect Battle at all regardless of the update status. This program stopped being listed at all.

Kyle_Katarn

2018-10-21 21:16

administrator   ~0003084

What about drag'n'dropping both exe file onto SUMo ?

Gregorsky

2018-10-21 21:23

reporter   ~0003085

After drag'n'dropping both exe files have been identified correctly including the latest version with correct update status. Not sure why they weren't added automatically after scanning whole system.

Kyle_Katarn

2018-10-21 22:37

administrator   ~0003086

So I can close ? (and do not hesitate to open a new ticket if problem occurs again)

Gregorsky

2018-10-21 22:38

reporter   ~0003087

Should they not be added automatically when scanning system?

Kyle_Katarn

2018-10-21 22:41

administrator   ~0003088

Good remark. Do you have shortcuts for these apps either on your Dekstop or in Start Menu ?

Gregorsky

2018-10-21 22:42

reporter   ~0003089

Yes, in Start Menu.

Kyle_Katarn

2018-10-21 22:44

administrator   ~0003090

OK so please :
- Enable debug mode in settings
- restart SUMo
- run a scan

If not listed, please post your logs (from ?>Open Logs menu) in a private note here.

Thanks !

Gregorsky

2018-10-21 22:48

reporter   ~0003091

Thanks.

Issue History

Date Modified Username Field Change
2017-02-27 20:37 Gregorsky New Issue
2017-02-27 20:53 Kyle_Katarn Target Version => 5.1.4
2017-02-27 20:53 Kyle_Katarn Assigned To => Kyle_Katarn
2017-02-27 20:53 Kyle_Katarn Status new => acknowledged
2017-03-11 12:04 Kyle_Katarn Status acknowledged => feedback
2017-03-11 12:04 Kyle_Katarn Note Added: 0002546
2017-03-11 12:05 Kyle_Katarn Target Version 5.1.4 => Short term
2017-03-11 12:49 Gregorsky File Added: 1.jpg
2017-03-11 12:49 Gregorsky File Added: 2.jpg
2017-03-11 12:49 Gregorsky File Added: 3.jpg
2017-03-11 12:49 Gregorsky File Added: 4.jpg
2017-03-11 12:49 Gregorsky Note Added: 0002547
2018-10-19 23:05 Kyle_Katarn Note Added: 0003078
2018-10-19 23:42 Gregorsky Note Added: 0003079
2018-10-21 17:31 Kyle_Katarn Note Added: 0003082
2018-10-21 21:12 Gregorsky Note Added: 0003083
2018-10-21 21:16 Kyle_Katarn Note Added: 0003084
2018-10-21 21:23 Gregorsky Note Added: 0003085
2018-10-21 22:37 Kyle_Katarn Note Added: 0003086
2018-10-21 22:38 Gregorsky Note Added: 0003087
2018-10-21 22:41 Kyle_Katarn Note Added: 0003088
2018-10-21 22:42 Gregorsky Note Added: 0003089
2018-10-21 22:44 Kyle_Katarn Note Added: 0003090
2018-10-21 22:48 Gregorsky Note Added: 0003091